# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['apparition']

package_data = \
{'': ['*'], 'apparition': ['resources/*']}

install_requires = \
['appdirs>=1.4.4,<2.0.0',
 'pyyaml>=6.0,<7.0',
 'rich>=13.3.1,<14.0.0',
 'sh>=1.14.3,<2.0.0',
 'typer>=0.7.0,<0.8.0']

entry_points = \
{'console_scripts': ['apparition = apparition.main:app']}

setup_kwargs = {
    'name': 'apparition',
    'version': '0.1.0',
    'description': 'Apparate through your file system.',
    'long_description': '<p align="center"><h1 align="center">🪄 Apparition 🌀</h1></p>\n\n<p align="center">\n<em><a href="https://harrypotter.fandom.com/wiki/Apparition">Apparate</a> through your file system.</em>\n</p>\n\n[UX.webm](https://user-images.githubusercontent.com/31665788/217601666-50668871-c91c-424d-aaa7-30da4a25ec67.webm)\n\n<!--autogen-->\n## 🪄 Installation\n\nInstall the Python package with `pipx` or `pip`.\n\n```bash\npipx install apparition\n# or\npip install --user apparition\n```\n\nCall the `install` command and add the output to your `~/.bashrc` / `~/.zshrc`.\nThis creates a shell function called `apparate` that can change the working directory in a safe manner.\n\n```bash\napparition install >> ~/.bashrc\nsource ~/.bashrc\n# or\napparition install >> ~/.zshrc\nsource ~/.zshrc\n```\n\nYou can get more information about this step with `apparition install --help`.\n\n```\n$ apparition install --help\n                                                                                \n Usage: apparition install [OPTIONS]                                            \n                                                                                \n 🪄 Add the output of this command to your \'~/.zshrc\'.                          \n You can do this by running \'apparition install >> ~/.zshrc\'. Then run \'source  \n ~/.zshrc\'.                                                                     \n This creates a shell function called \'apparate\' that can change the working    \n directory in a safe manner.                                                    \n                                                                                \n╭─ Options ────────────────────────────────────────────────────────────────────╮\n│ --help          Show this message and exit.                                  │\n╰──────────────────────────────────────────────────────────────────────────────╯\n\n```\n\n## Usage\n\n### ✨ Add or update a destination\n\nUse `apparition set` to add a new destination or update an existing one.\n\n```\n$ apparition set --help\n                                                                                \n Usage: apparition set [OPTIONS] DESTINATION PATH                               \n                                                                                \n ✨ Set a new destination.                                                      \n This command can also be used to update an existing destination.               \n                                                                                \n╭─ Arguments ──────────────────────────────────────────────────────────────────╮\n│ *    destination      TEXT  The name of the destination. [default: None]     │\n│                             [required]                                       │\n│ *    path             PATH  The path to the destination. [default: None]     │\n│                             [required]                                       │\n╰──────────────────────────────────────────────────────────────────────────────╯\n╭─ Options ────────────────────────────────────────────────────────────────────╮\n│ --help          Show this message and exit.                                  │\n╰──────────────────────────────────────────────────────────────────────────────╯\n```\n\n### 🌀 Apparate to a destination\n\nUse `apparate` to change the working directory.\n\n```\n$ apparate --help\n                                                                                \n Usage: apparate [OPTIONS] DESTINATION                                          \n                                                                                \n 🌀 Apparate to the given destination.                                          \n                                                                                \n╭─ Arguments ──────────────────────────────────────────────────────────────────╮\n│ *    destination      TEXT  The name of the destination. [default: None]     │\n│                             [required]                                       │\n╰──────────────────────────────────────────────────────────────────────────────╯\n╭─ Options ────────────────────────────────────────────────────────────────────╮\n│ --help          Show this message and exit.                                  │\n╰──────────────────────────────────────────────────────────────────────────────╯\n```\n\n### ✍️ Rename a destination\n\nUse `apparition rename` to rename an existing destination.\n\n```\n$ apparition rename --help\n                                                                                \n Usage: apparition rename [OPTIONS] OLD_NAME NEW_NAME                           \n                                                                                \n ✍️ Rename a destination.                                                        \n                                                                                \n╭─ Arguments ──────────────────────────────────────────────────────────────────╮\n│ *    old_name      TEXT  Old name of the destination. [default: None]        │\n│                          [required]                                          │\n│ *    new_name      TEXT  New name of the destination. [default: None]        │\n│                          [required]                                          │\n╰──────────────────────────────────────────────────────────────────────────────╯\n╭─ Options ────────────────────────────────────────────────────────────────────╮\n│ --help          Show this message and exit.                                  │\n╰──────────────────────────────────────────────────────────────────────────────╯\n```\n\n### ✔️ Check all destinations\n\nUse `apparition check` to check that the path to each destination is a directory..\n\n```\n$ apparition check --help\n                                                                                \n Usage: apparition check [OPTIONS]                                              \n                                                                                \n ✔️ Check that the path to each destination is a directory.                      \n                                                                                \n╭─ Options ────────────────────────────────────────────────────────────────────╮\n│ --help          Show this message and exit.                                  │\n╰──────────────────────────────────────────────────────────────────────────────╯\n```\n\n### 🗑️  Remove a destination\n\nUse `apparition remove` to remove a destination.\n\n```\n$ apparition remove --help\n                                                                                \n Usage: apparition remove [OPTIONS] DESTINATION                                 \n                                                                                \n 🗑️ Remove a destination.                                                        \n                                                                                \n╭─ Arguments ──────────────────────────────────────────────────────────────────╮\n│ *    destination      TEXT  Name of the destination to remove.               │\n│                             [default: None]                                  │\n│                             [required]                                       │\n╰──────────────────────────────────────────────────────────────────────────────╯\n╭─ Options ────────────────────────────────────────────────────────────────────╮\n│ --help          Show this message and exit.                                  │\n╰──────────────────────────────────────────────────────────────────────────────╯\n```\n\n### 🔥 Purge all destinations\n\nUse `apparition purge` to delete all destinations.\n\n```\n$ apparition purge --help\n                                                                                \n Usage: apparition purge [OPTIONS]                                              \n                                                                                \n 🔥 Remove all destinations.                                                    \n The command asks for confirmation if you are sure.                             \n                                                                                \n╭─ Options ────────────────────────────────────────────────────────────────────╮\n│ --help          Show this message and exit.                                  │\n╰──────────────────────────────────────────────────────────────────────────────╯\n```\n<!--/autogen-->\n\n## License\n\nThis app is licensed under the [MIT](./LICENSE) license.\n',
    'author': 'David Härer',
    'author_email': 'david@95co.de',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.10,<4.0',
}


setup(**setup_kwargs)
